Bug 122260 - desktop switching tool still buggy - defaults to KDE after first switch
desktop switching tool still buggy - defaults to KDE after first switch
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-05-02 11:07 EDT by Rory Gleeson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-27 05:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rory Gleeson 2004-05-02 11:07:06 EDT
* This report is based on the *updates* to switchdesk of May 2/04.  

Description of problem:
Switchdesk tool *worked* after updates, but only the first time.  I
switched to KDE and it defaulted to KDE.  

However, when I tried to switch the default back to Gnome via KDE, it
kept going back in to KDE.  

Logging out and manually choosing Gnome brought me back in to Gnome. 
I used the desktop switching tool from Gnome and defaulted to Gnome.  

But, it still goes to KDE, whether or not I choose the "current
display" option or not.

So, the desktop switching tool is still buggy.

Rory Gleeson
Toronto, Canada
Comment 1 Pekka Pietikäinen 2004-05-14 16:27:56 EDT
Actually it works if you actually choose GNOME (I know it looks like
it's selected but it's not). 



    def __init__(self):
        self.wm = ' kde'

and the checkbox thing defaults to the first option which is GNOME,
but it's the variable that matters and that only gets set when
something is really selected.

Changing that to self.wm = ' gnome' should make things work
(or for a politically neutral version make the checkbox such that
nothing gets selected by default and Ok only works if something has
been selected)
Comment 2 Ngo Than 2004-05-27 05:24:25 EDT
it's fixed in 4.0.4-1, which will be showed up in rawhide soon. Thanks
for your report.
Comment 3 Michael Opdenacker 2004-06-18 03:08:04 EDT

This still happens to me on FC2 final with switchdesk-4.0.3-1,
so I don't consider this as fixed.

I also tried to switch back to GNOME, but I always have
to set this session type explicitely when I log in, which is
pretty annoying.

Could you re-open this bug, please?
No problem for me to enter a new bug if needed.

Thanks in advance,


Comment 4 Michael Opdenacker 2004-06-18 03:13:58 EDT
I confirm that setting self.wm = ' gnome' in
/usr/share/switchdesk/switchdesk-gui.py as described
by Pekka works.

You have to rerun "switchdesk" too after doing this.

However, this is a work-around, and not a fix for



Note You need to log in before you can comment on or make changes to this bug.